Bug 8765 - after connection is made, rp3 still says "waiting to connect ..."
Summary: after connection is made, rp3 still says "waiting to connect ..."
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rp3 (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-23 11:50 UTC by Chris Runge
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-06 20:39:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Runge 2000-01-23 11:50:49 UTC
I use the RH PPP Dialer to connect to the Internet.  It displays "Waiting
to connect to Mindspring", then actually does connect, but the "Waiting to
connect to Mindspring" still stays up.

$ rpm -q rp3 wvdial initscripts
rp3-1.0.5-1
wvdial-1.41-1
initscripts-4.82-1

Comment 1 Jules Stuifbergen 2000-01-31 13:00:59 UTC
I experienced the same problem, with newer rpms.

rp3-1.0.6-1
wvdial-1.41-2
ppp-2.3.11-1

Furthermore:
There's no option to disable PEERDNS. My resolv.conf gets overwritten when using
rp3, (not when debugging with rp3-config).

Comment 2 Nalin Dahyabhai 2000-03-06 15:20:59 UTC
The key package as far as the "waiting to connect..." dialog is concerned is
initscripts.  Newer initscripts packages also preserve the contents of your
resolve.conf if the nameservers returned by pppd are already in there.  Peer DNS
can be toggled off by adding the line
PEERDNS=no
to the appropriate file in /etc/sysconfig/network-scripts.

Comment 3 Nalin Dahyabhai 2000-04-06 20:39:59 UTC
We've verified that this is fixed in 6.2, available from our FTP site in
ftp://ftp.redhat.com/pub/redhat/redhat-6.2/i386/RedHat/RPMS/.  The key packages
are initscripts, ppp, wvdial, and rp3.


Note You need to log in before you can comment on or make changes to this bug.